#include "base.h"
#include "utils.h"

namespace Msp {
namespace IO {

size_t read_all(Base &obj, char *buf, size_t size)
{
	size_t pos = 0;
	while(pos<size)
		pos += obj.read(buf+pos, size-pos);

	return pos;
}

} // namespace IO
} // namespace Msp
